Workshop System Requirements

Running Workshop requires an up-to-date computer, a web browser that supports WebGL, and a reliable internet connection.

 

Recommended Specifications

In general, use the most recent computer available. Computers with lower specifications may work but are not guaranteed to offer a good experience.

desktop-medium.pnglaptop-medium.png

 

Desktop or laptop computer

  • Workshop is NOT available on smartphones or tablets
  • PC — Windows 10 or later, GPU, and at least 8 GB of RAM
  • Mac — OSX 10.10.5 (Yosemite) or later and at least 8 GB of RAM
  • Dedicated GPU with 4 GB or above video memory recommended
  • Always keep your computer up to date

web-browser-medium.png

Web browser

  • Always update your browser to the latest stable version.
  • Chrome — Version 59 or later
    • Type chrome://version in omnibar to see your current version
  • Firefox — Version 54 or later
    • Type about:support in the URL bar to see your current version
  • Edge — Version 15 or later
    • Select More ... in the upper-right corner, and then select Settings. Look for your version under About this app.
  • Safari — Version 9 or later
    • Open Safari. In the top menubar, click Safari and then About Safari.
  • Internet Explorer — Not supported
You may need to enable WebGL. Learn more.

wifi.png

 

Internet access

  • Basic broadband or cable access
  • A strong and stable internet connection

 

Have more questions? Submit a request